/* $Id: wizardsettings.h 1040 2009-03-09 16:18:24Z IMPOMEZIA $
 * IMPOMEZIA Simple Chat
 * Copyright © 2008-2009 IMPOMEZIA <schat@impomezia.com>
 *
 *   This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef WIZARDSETTINGS_H_
#define WIZARDSETTINGS_H_

#include <QObject>

#include "abstractsettings.h"

#define settings (static_cast<WizardSettings *>(AbstractSettings::instance()))

/*!
 * \brief Класс читает и записывает настройки мастера.
 */
class WizardSettings : public AbstractSettings {
  Q_OBJECT

public:
  WizardSettings(const QString &filename, QObject *parent = 0);
  inline bool dist() const        { return m_dist; }
  inline QString rootPath() const { return m_rootPath; }
  static QString envValue(const QString &env);
  static QString version();
  void read();

private:
  bool checkDist();
  void setVersions();

  bool m_dist;
  QString m_rootPath;
};

#endif /* WIZARDSETTINGS_H_ */
